#pragma once
#include "SimpleArrayTemplate.h"


/*!
	文字列配列
*/
class CUTF8StringArray : public CSimpleArrayTemplate<CUTF8String>
{
};


/*!
	キーペア
*/
class CUTF8StringKeyPair
{
public:
	CUTF8StringKeyPair() {}
	CUTF8StringKeyPair(CUTF8String key, CUTF8String data)
	{
		m_key = key;
		m_data = data;
	}

	/////////////////////////////////////////////////////////////////////
	//	操作
	/////////////////////////////////////////////////////////////////////
	//!	キー取得
	CUTF8String GetKey()
	{
		return m_key;
	}

	//!	データ取得
	CUTF8String GetData()
	{
		return m_data;
	}

	//!	キー設定
	void GetKey(CUTF8String key)
	{
		m_key = key;
	}

	//!	データ設定
	void GetData(CUTF8String data)
	{
		m_data = data;
	}

	//!	設定
	void SetKeyData(CUTF8String key, CUTF8String data)
	{
		m_key = key;
		m_data = data;
	}

protected:
	/////////////////////////////////////////////////////////////////////
	//	メンバ変数
	/////////////////////////////////////////////////////////////////////
	//!	キー
	CUTF8String	m_key;

	//!	データ
	CUTF8String	m_data;
};


/*!
	キーペア配列
*/
class CUTF8StringKeyPairArray : public CSimpleArrayTemplate<CUTF8StringKeyPair>
{
public:
	//!	追加
	void Add(CUTF8String key, CUTF8String data)
	{
		CSimpleArrayTemplate<CUTF8StringKeyPair>::Add(CUTF8StringKeyPair(key, data));
	}

	//!	追加
	void Add(CUTF8StringKeyPair &add)
	{
		CSimpleArrayTemplate<CUTF8StringKeyPair>::Add(add);
	}
};

